#version 330

uniform sampler2DRect inputTex;
uniform float uTransitionProgress=1.0;

const vec2 s1 = vec2(-.5, .5);
const vec2 s2 = vec2( .5, .5);
const vec2 s3 = vec2( .5,-.5);
const vec2 s4 = vec2(-.5,-.5);

in vec2 fsTexSize;
in vec2 fsTexture;
out vec4 outColor;

void main()
{
	vec2 tmpTex;
	
	tmpTex=fsTexture+s1;
	tmpTex=clamp(tmpTex,vec2(.5,.5),fsTexSize);
    outColor=texture(inputTex, tmpTex);

	tmpTex=fsTexture+s2;
	tmpTex=clamp(tmpTex,vec2(.5,.5),fsTexSize);
    outColor+=texture(inputTex, tmpTex);
	
	tmpTex=fsTexture+s3;
	tmpTex=clamp(tmpTex,vec2(.5,.5),fsTexSize);
    outColor+=texture(inputTex, tmpTex);
	
	tmpTex=fsTexture+s4;
	tmpTex=clamp(tmpTex,vec2(.5,.5),fsTexSize);
    outColor+=texture(inputTex, tmpTex);

    outColor*=0.25;
}


